JUCE: AudioProcessorParameterGroup::AudioProcessorParameterNode Class Reference

JUCE

Public Member Functions | List of all members
AudioProcessorParameterGroup::AudioProcessorParameterNode Class Reference
juce_audio_processors » processors

A child of an AudioProcessorParameterGroup. More...

`#include <juce_AudioProcessorParameterGroup.h>`

## Public Member Functions
| AudioProcessorParameterNode (AudioProcessorParameterNode &&)
| ~AudioProcessorParameterNode ()
AudioProcessorParameterGroup * | getParent () const
| Returns the parent group or nullptr if this is a top-level group. More...
AudioProcessorParameter * | getParameter () const
| Returns a pointer to a parameter if this node contains a parameter, nullptr otherwise. More...
AudioProcessorParameterGroup * | getGroup () const
| Returns a pointer to a group if this node contains a group, nullptr otherwise. More...

## Detailed Description

A child of an AudioProcessorParameterGroup.

This can contain either an AudioProcessorParameter or an AudioProcessorParameterGroup. You can query which using the getParameter and getGroup methods.

for (auto* child : group)
if (auto* parameter = node.getParameter())
parameter->setValueNotifyingHost (0.5f);
else
node.getGroup()->AddChild (new Parameter());

## Constructor & Destructor Documentation

## ◆ AudioProcessorParameterNode()

AudioProcessorParameterGroup::AudioProcessorParameterNode::AudioProcessorParameterNode | ( | AudioProcessorParameterNode && |  | ) |

## ◆ ~AudioProcessorParameterNode()

AudioProcessorParameterGroup::AudioProcessorParameterNode::~AudioProcessorParameterNode | ( |  | ) |

## Member Function Documentation

## ◆ getParent()

AudioProcessorParameterGroup * AudioProcessorParameterGroup::AudioProcessorParameterNode::getParent | ( |  | ) | const

Returns the parent group or nullptr if this is a top-level group.

## ◆ getParameter()

AudioProcessorParameter * AudioProcessorParameterGroup::AudioProcessorParameterNode::getParameter | ( |  | ) | const

Returns a pointer to a parameter if this node contains a parameter, nullptr otherwise.

## ◆ getGroup()

AudioProcessorParameterGroup * AudioProcessorParameterGroup::AudioProcessorParameterNode::getGroup | ( |  | ) | const

Returns a pointer to a group if this node contains a group, nullptr otherwise.

The documentation for this class was generated from the following file:

- juce_AudioProcessorParameterGroup.h